SQ(1)

NAME
sq config - Get configuration options

SYNOPSIS
sq config get [OPTIONS] NAME
sq config template [OPTIONS]

DESCRIPTION
Get configuration options.

This subcommand can be used to inspect the configuration file (default location: $HOME/Library/Application Support/org.Sequoia-PGP.sequoia/sq/config.toml), and to create a template that can be edited to your liking.

SUBCOMMANDS

  sq config get
Get configuration options.

Retrieves the configuration with the given key. Use `sq config get` to see all available options and their values.

  sq config template
Write a template configuration file.

Writes a template containing the default values to the given file or stdout. This can be used as a starting point to tweak the configuration.

EXAMPLES

  sq config get

List all configuration options.

    sq config get

Get the default cipher suite for key generation.

    sq config get key.generate.cipher-suite

  sq config template

Write a template configuration.

    sq config template

SEE ALSO
sq(1), sq-config-get(1), sq-config-template(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.40.0 (sequoia-openpgp 1.21.2)